[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TAbstractResource.MemoryFlags

The memory flags of the resource

## Declaration

Source position: resource.pp line 171

`public property TAbstractResource.MemoryFlags : Word read fMemoryFlags write fMemoryFlags;`

## Description

This field is a combination of the following flags

- MF_MOVEABLE
- MF_PURE
- MF_PRELOAD
- MF_DISCARDABLE

By default, a newly created resource has MF_MOVEABLE and MF_DISCARDABLE flags set.

Remark: | Please note that memory flags are ignored by Windows and Free Pascal RTL. They are provided only for compatibility with 16-bit Windows.

This property is not always meaningful, since not all file formats support it.

Its value, when nonzero, can be used for information purposes.